## grub2 2.00

=== debian/changelog ===
grub2 (2.00-7ubuntu11) quantal-proposed; urgency=low

  * Fix incorrect initrd minimum address calculation (LP: #1055686).
  * Add keystatus and loadenv to signed image (LP: #1066399).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Oct 2012 09:30:55 +0100

grub2 (2.00-7ubuntu10) quantal; urgency=low

  * Ignore symlink traversal failures in grub-mount readdir (LP: #1051306).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2012 17:14:04 +0100

grub2 (2.00-7ubuntu9) quantal; urgency=low

  * Fix patch to forbid insmod on UEFI secure boot to also forbid other
    methods of loading modules (LP: #1065621).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2012 01:09:31 +0100

grub2 (2.00-7ubuntu8) quantal; urgency=low

  * Add some extra debugging to signed/unsigned kernel logic, to make it
    easier to work out why it fails for some people.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 14:48:03 +0100

grub2 (2.00-7ubuntu7) quantal; urgency=low

  * Make embedded FAT filesystem a multiple of 32 blocks so that mtools is
    happy with it.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2012 13:28:20 +0100

grub2 (2.00-7ubuntu6) quantal; urgency=low

  * GRUB's rescue parser doesn't understand 'if', so the embedded
    configuration file in gcdx64.efi emitted errors.  Add the memdisk
    module, embed a tiny FAT filesystem containing the grub.cfg with the
    search-and-chain logic, and embed a bootstrap configuration file that
    loads that using 'normal'.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2012 12:19:10 +0100

grub2 (2.00-7ubuntu5) quantal; urgency=low

  * Embed a configuration file in gcdx64.efi which looks for a real boot
    disk containing /.disk/info or /.disk/mini-info and chains to
    /boot/grub/$platform/grub.cfg there.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 15:35:11 +0100

grub2 (2.00-7ubuntu4) quantal; urgency=low

  [ Colin Watson ]
  * Install signed images if UEFI Secure Boot is enabled (LP: #1063602).

  [ Steve Langasek ]
  * debian/patches/ubuntu_uefi_firmware_setup.patch: Output a menu entry
    for firmware setup on UEFI FastBoot systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 12:16:40 +0100

grub2 (2.00-7ubuntu3) quantal; urgency=low

  * If the postinst is running in a container, skip grub-install and all its
    associated questions (LP: #1060404).
  * Merge UEFI secure boot tweaks from Fedora:
    - Don't error on insmod on UEFI/SB, but also don't do any insmodding.
    - Add sleep to the list of modules in the signed image.
  * Move Ubuntu modifications to the Fedora linuxefi patch into separate
    patches, to ease maintenance.
  * Implement secure boot handling policy as outlined by Steve Langasek:
    - Make the linux module call linuxefi when necessary, simplifying
      configuration.  Add the linux module to the signed image.
    - If secure boot is enabled and the kernel is signed, linux will call
      linuxefi to hand over to it without calling ExitBootServices.
    - Otherwise, linux will fall through to previous code, call
      ExitBootServices itself, and boot the kernel normally.
    - Change linuxefi to return GRUB_ERR_ACCESS_DENIED rather than
      GRUB_ERR_INVALID_COMMAND in the case of an invalid signature, to make
      it easier to implement different handling of unsigned kernels in
      future if necessary.
  * Build two images for signing: one with prefix /EFI/BOOT for use on
    removable media, and one with prefix /EFI/ubuntu (and with the lvm,
    mdraid09, and mdraid1x modules added) for use on fixed disks.  Setup
    mostly borrowed from Fedora.
  * Generate configuration for signed UEFI kernels if available.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 07 Oct 2012 11:36:29 +0100

grub2 (2.00-7ubuntu2) quantal; urgency=low

  * For now, stop using the /usr/share/images/desktop-base/desktop-grub.png
    alternative as the fallback background.  We should ultimately have some
    Ubuntu branding here, but at the moment it just confuses people who
    accidentally install desktop-base.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 10:34:01 +0100

grub2 (2.00-7ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Adjust for default Ubuntu boot options ("quiet splash").
    - Default to hiding the menu; holding down Shift at boot will show it.
    - Set a monochromatic theme and an appropriate background for Ubuntu.
    - Apply Ubuntu GRUB Legacy changes to legacy update-grub script.
    - Fix backslash-escaping in merge_debconf_into_conf.
    - Remove "GNU/Linux" from default distributor string.
    - Add crashkernel option.
    - Bypass menu unless other OSes are installed or Shift is pressed.
    - Allow Shift to interrupt 'sleep --interruptible'.
    - Reduce visual clutter in normal mode.
    - Remove verbose messages printed before reading configuration.
    - Suppress kernel/initrd progress messages, except in recovery mode.
    - Show the boot menu if the previous boot failed.
    - Adjust upgrade version checks for Ubuntu.
    - Suppress "GRUB loading" message unless Shift is held down.
    - Adjust versions of grub-doc and grub-legacy-doc conflicts.
    - Build-depend on qemu-kvm rather than qemu-system for grub-pc tests.
    - Check hardware support before using gfxpayload=keep.
    - Set vt.handoff=7 for smooth handoff to kernel graphical mode.
    - In recovery mode, add nomodeset to the Linux kernel arguments, and
      remove the 'set gfxpayload=keep' command.
    - Skip Windows os-prober entries on Wubi systems, and suppress the menu
      by default if those are the only other-OS entries.
    - Handle probing striped DM-RAID devices.
    - Replace 'single' by 'recovery' when friendly-recovery is installed.
    - Disable cursor as early as possible in grub_main.
    - Apply patch from Fedora to forbid insmod on UEFI secure boot.
    - Apply patch from Fedora to add a "linuxefi" loader.

